import React, { useState } from "react";
import { IOCDetailsView } from "./IOCDetailsView";
import { LinearProgress } from "@material-ui/core";
import NotFound from "../../components/navigation/NotFound";
import { onFetchEntityError } from "../../components/common/Helper";
import { useIOC } from "../../api/SwaggerApi";

export function IOCDetailsContainer({ id }) {
  const [notFoundError, setNotFoundError] = useState();
  const [ioc, getIOC /* reset*/, , loading] = useIOC(id, (m, s) => {
    // handle error code 404, and define custom message on the UI because BE sends back generic error message
    onFetchEntityError(m, s, setNotFoundError);
  });

  return (
    <>
      {notFoundError ? (
        <NotFound />
      ) : ioc ? (
        <IOCDetailsView
          ioc={ioc}
          getIOC={getIOC}
          loading={loading}
        />
      ) : (
        <LinearProgress color="primary" />
      )}
    </>
  );
}
